Bug 1317438 - [RFE] Ability to change disk interface for a VM disk
[RFE] Ability to change disk interface for a VM disk
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.0.0-rc
: 4.0.0
Assigned To: Tal Nisan
: FutureFeature
Depends On: ovirt_refactor_disk_class_hierarchy
Blocks: 1139879 1378700
  Show dependency treegraph
Reported: 2016-03-14 05:27 EDT by Yaniv Lavi
Modified: 2016-09-23 02:48 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1139879
Last Closed: 2016-08-01 08:25:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
acanan: testing_plan_complete+
ylavi: planning_ack+
amureini: devel_ack+
acanan: testing_ack+

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 57479 master ABANDONED core: Remove disk interface property from the BaseDisk entity 2016-05-18 10:17 EDT
oVirt gerrit 57603 master MERGED core: Move disks boot and interface properties to DiskVmelement 2016-05-18 16:06 EDT

  None (edit)
Description Yaniv Lavi 2016-03-14 05:27:50 EDT
Description of problem:
Currently, there seems to be no way of changing a disk's interface type.
For example, a disk of 'virtio' interface cannot be added to another VM via the 'virtio-SCSI' interface. This is needed in some cases for DR and backup.
Comment 1 Sandro Bonazzola 2016-05-02 05:48:23 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 2 Allon Mureinik 2016-06-09 09:12:21 EDT
Doctext tracked on bug 1139879, setting requires-doctext- for this one.
Comment 3 Elad 2016-07-13 10:16:54 EDT
Executed the feature basic flows after setup upgrade (3.6 -> 4.0):


Tested using Webadmin, All passed. 

Note that for REST API, we're still block due to:
Bug 1352657 - GET of diskattachment returns a list of objects without the href property

Tested using:

Note You need to log in before you can comment on or make changes to this bug.